#267 operf does not capture events for low verlocity threads

None
closed-rejected
nobody
None
5
2014-08-15
2014-04-08
No

In comparing operf to perf, I am not sure the "minimum counts" that operf is correct. Take the case where you've isolated a process/thread to a single cpu, and isolated the cpu. This thread may be low frequency, but needs to execute fast when woke - essentially attempting to use operf/perf to monitor latency inducing cache misses in the thread.

When I analyze using perf, I can capture the full events triggered by the thread, but with operf, due to the minimum counts, I only capture very few (single digit) events.

It seems that perf understands that the thread under analysis is not generating events at too fast a rate, and thus captures all of them.

Any solution? (I'd like to use operf for its better java JIT handling).

Related

Bugs: #267

Discussion

  • Maynard Johnson

    Maynard Johnson - 2014-04-28

    Can you please give the specific perf and operf commands that you're using -- specifically, the events are you using with each tool (and any other options). Thanks.

     
  • Maynard Johnson

    Maynard Johnson - 2014-06-09

    Ping. See my previous info request.

     
  • Maynard Johnson

    Maynard Johnson - 2014-06-27

    Robert, one final ping . . . The bug will be closed if no reply.

     
    • Robert Engels

      Robert Engels - 2014-06-28

      I will attempt to get the details next week.

      Sent from my iPad

      On Jun 27, 2014, at 7:52 AM, "Maynard Johnson" maynardj@users.sf.net wrote:

      Robert, one final ping . . . The bug will be closed if no reply.

      [bugs:#267] operf does not capture events for low verlocity threads

      Status: open
      Group:
      Created: Tue Apr 08, 2014 03:32 PM UTC by Robert Engels
      Last Updated: Mon Jun 09, 2014 03:45 PM UTC
      Owner: nobody

      In comparing operf to perf, I am not sure the "minimum counts" that operf is correct. Take the case where you've isolated a process/thread to a single cpu, and isolated the cpu. This thread may be low frequency, but needs to execute fast when woke - essentially attempting to use operf/perf to monitor latency inducing cache misses in the thread.

      When I analyze using perf, I can capture the full events triggered by the thread, but with operf, due to the minimum counts, I only capture very few (single digit) events.

      It seems that perf understands that the thread under analysis is not generating events at too fast a rate, and thus captures all of them.

      Any solution? (I'd like to use operf for its better java JIT handling).

      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/oprofile/bugs/267/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #267

  • Maynard Johnson

    Maynard Johnson - 2014-08-15

    Closing this bug since there's not enough detail to understand what the problem is, and the bug reporter has not provided that detail in spite of multiple requests to do so.

     
  • Maynard Johnson

    Maynard Johnson - 2014-08-15
    • status: open --> closed-rejected
    • Group: -->
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks